%define _prefix /opt/globus

Summary: Openssl Library
Name: openssl-globus
Version: 1.21
Release: 0.11%{?dist}
Group: Globus/Openssl
License: Globus Toolkit Public License (GTPL)
Source: pkg_data_src.gpt
Patch: %{name}.patch
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gpt
Requires: openssl
Provides: globus_openssl = 1.21
Obsoletes: globus_openssl <= 1.21

%package devel
Summary: Openssl Library devel
Group: Globus/Openssl
Requires: openssl-globus
Requires: openssl-devel
Provides: globus_openssl-devel = 1.21
Obsoletes: globus_openssl-devel <= 1.21

# 64 bit?
%ifarch x86_64 alpha
%define flavor gcc64pthr
%else
%define flavor gcc32pthr
%endif

%description
Virtual package for openssl

%description devel
Virtual package for openssl-devel

%prep
%setup -T -c
cp -p %{SOURCE0} .
%patch -p0

%build
unset GPT_LOCATION
for i in `echo $PATH | tr : ' '` /opt/gpt/sbin; do
  if test -f $i/gpt-build; then
    export GPT_LOCATION=`dirname $i`
    break
  fi
done

if test -z "$GPT_LOCATION"; then
  echo "Could not determine GPT_LOCATION"
  exit 1
fi

$GPT_LOCATION/sbin/gpt_generate_bin_pkg_data --flavor=%{flavor} pkg_data_src.gpt 
rm -f *pgm_static*

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/etc/gpt/packages/globus_openssl
cp -p pkg_data_%{flavor}_* pkg_data_noflavor_* $RPM_BUILD_ROOT%{_prefix}/etc/gpt/packages/globus_openssl

find $RPM_BUILD_ROOT%{_prefix}/etc/gpt/packages/globus_openssl -type f ! -name \*_dev\.\* \
     | sed "s:^$RPM_BUILD_ROOT::" > filelist

find $RPM_BUILD_ROOT%{_prefix}/etc/gpt/packages/globus_openssl -type f -name \*_dev\.\* \
     | sed "s:^$RPM_BUILD_ROOT::" > filelist-devel

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist
%defattr(-,root,root,-)
%dir %{_prefix}/etc/gpt/packages/globus_openssl

%files -f filelist-devel devel
%defattr(-,root,root,-)
%changelog
* Thu Oct  9 2008 Anders Waananen <waananen@nbi.dk> - 1.21-0.11%{?dist}
- Autogenerated

